<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Add Destination</title>
</head>
<body>
<h1>Add Destination for <span th:text="${user.userName}"></span></h1>

<form action="#" th:action="@{/destination/add}" method="post">
    <input type="hidden" name="userName" th:value="${user.userName}" />
    <input type="text" placeholder="City Name" name="cityName" />
    <input type="submit" value="Add" />
</form>

<h2>Current Destinations</h2>
<ul>
    <li th:each="destination : ${user.destinations}">
        <span th:text="${destination.name}"></span>: <span th:text="${destination.weather}"></span>
        <form action="#" th:action="@{/destination/remove}" method="post">
            <input type="hidden" name="userName" th:value="${user.userName}"/>
            <input type="hidden" name="cityName" th:value="${destination.name}"/>
            <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}"/>
            <button type="submit">Remove</button>
        </form>
    </li>
</ul>
<a th:href="@{'/destination/sort?userName=' + ${user.userName}}">Sort by Weather</a>
<a th:href="@{'/destination/list?userName=' + ${user.userName}}">Go back to List</a>
<a th:href="@{'/destination/merge?userName=' + ${user.userName}}">Add destinations of all users</a>

</body>
</html>
